#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           kopeninghours
Version: 24.12.2
Release:        %mkrel %{rel}
Summary:        OSM opening hours expression parser and evaluator
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         kopeninghours-22.04.0-python3-install-dir.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core) >= 6.6
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(python3)

%description
A library for parsing and evaluating OSM opening hours expressions.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_categoriesdir}/org_kde_kopeninghours.*categories
%{_kf6_qmldir}/org/kde/kopeninghours/

#------------------------------------------------------------------------------

%define kopeninghours_major 1
%define libkopeninghours %mklibname kopeninghours %{kopeninghours_major}

%package -n %{libkopeninghours}
Summary:        OSM opening hours expression parser and evaluator
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libkopeninghours}
A library for parsing and evaluating OSM opening hours expressions.

%files -n %{libkopeninghours}
%license LICENSES/*
%{_kf6_libdir}/libKOpeningHours.so.%{kopeninghours_major}{,.*}
%{_kf6_libdir}/libKOpeningHours.so.24{,.*}

#------------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkopeninghours} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Include files and libraries needed to build programs that use the KOpeningHours
library.

%files -n %{develname}
%license LICENSES/*
%{_includedir}/KOpeningHours/
%{_includedir}/kopeninghours/
%{_includedir}/kopeninghours_version.h
%{_kf6_libdir}/cmake/KOpeningHours/
%{_kf6_libdir}/libKOpeningHours.so

#------------------------------------------------------------------------------

%package -n python3-%{name}
Summary:        Python3 bindings for %{name}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 bindings for %{name}.

%files -n python3-%{name}
%{python3_sitearch}/PyKOpeningHours/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON \
           -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man


%changelog
* Tue Mar 04 2025 wally <wally> 24.12.2-2.mga10
+ Revision: 2160380
- rebuild for python3.13

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147206
- New version 24.12.2

* Sun Feb 09 2025 wally <wally> 24.12.1-2.mga10
+ Revision: 2146235
- rebuild for boost 1.87.0

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136607
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123851
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116404
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114100
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105595
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097464
- New version 24.08.1

* Fri Sep 13 2024 wally <wally> 24.08.0-2.mga10
+ Revision: 2095481
- rebuild for boost 1.86.0

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087656
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085152
- New version 24.07.90

* Wed Jun 19 2024 wally <wally> 24.05.1-2.mga10
+ Revision: 2075352
- rebuild for boost 1.85.0

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073268
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069919
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058666
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045205
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037703
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033828
- New version 24.01.90
+ wally <wally>
- rebuild for boost 1.84.0

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025203
- New version 24.01.85
+ papoteur <papoteur>
- rebuild again for python 3.12

* Tue Dec 19 2023 papoteur <papoteur> 24.01.75-3.mga10
+ Revision: 2019345
- Mass Rebuild - Python 3.12
- Mass Rebuild - Python 3.12

* Fri Nov 17 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007335
- New version 24.01.75

* Wed Sep 27 2023 wally <wally> 23.08.1-2.mga10
+ Revision: 1991456
- rebuild for boost 1.83.0

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989647
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958721
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946536
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941829
- New version 22.12.2

* Sat Dec 24 2022 wally <wally> 22.12.0-2.mga9
+ Revision: 1926490
- rebuild for boost 1.81.0

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922950
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911444
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905296
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886815
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880801
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873111
- New version 22.04.3

* Sun Jul 03 2022 wally <wally> 22.04.0-2.mga9
+ Revision: 1867266
- rebuild for boost 1.79.0

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854004
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850943
- New version 22.03.90

* Tue Apr 05 2022 umeabot <umeabot> 21.12.0-3.mga9
+ Revision: 1844839
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 21.12.0-2.mga9
+ Revision: 1787294
- rebuild for python-3.10

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763895
- New version 21.12.0

* Sun Dec 19 2021 wally <wally> 21.11.90-2.mga9
+ Revision: 1762674
- rebuild for boost 1.78.0
+ neoclust <neoclust>
- New version 21.11.90

* Thu Sep 09 2021 wally <wally> 21.04.1-2.mga9
+ Revision: 1744616
- rebuild for boost 1.77.0

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724103
- New version 21.04.1

* Fri May 14 2021 wally <wally> 21.04.0-4.mga9
+ Revision: 1722975
- rebuild for boost 1.76.0

* Sun Apr 25 2021 daviddavid <daviddavid> 21.04.0-3.mga9
+ Revision: 1719472
- boost is also needed

* Sun Apr 25 2021 daviddavid <daviddavid> 21.04.0-2.mga9
+ Revision: 1719386
- enable python3 support

* Sun Apr 25 2021 daviddavid <daviddavid> 21.04.0-1.mga9
+ Revision: 1719351
- initial package kopeninghours

